# Uses of Class
java.net.Authenticator

Packages that use Authenticator
Package
Description
java.net
Provides the classes for implementing networking applications.
java.net.http
HTTP Client and WebSocket APIs

- ## Uses of Authenticator in java.net

  Methods in java.net that return Authenticator
  Modifier and Type
  Method
  Description
  `static Authenticator`
  Authenticator.`getDefault()`
  Gets the default authenticator.
  Methods in java.net with parameters of type Authenticator
  Modifier and Type
  Method
  Description
  `static PasswordAuthentication`
  Authenticator.`requestPasswordAuthentication(Authenticator authenticator, String host, InetAddress addr, int port, String protocol, String prompt, String scheme, URL url, Authenticator.RequestorType reqType)`
  Ask the given `authenticator` for a password.
  `void`
  HttpURLConnection.`setAuthenticator(Authenticator auth)`
  Supplies an `Authenticator` to be used when authentication is requested through the HTTP protocol for this `HttpURLConnection`.
  `static void`
  Authenticator.`setDefault(Authenticator a)`
  Sets the authenticator that will be used by the networking code when a proxy or an HTTP server asks for authentication.

- ## Uses of Authenticator in java.net.http

  Methods in java.net.http that return types with arguments of type Authenticator
  Modifier and Type
  Method
  Description
  `abstract Optional<Authenticator>`
  HttpClient.`authenticator()`
  Returns an `Optional` containing the `Authenticator` set on this client.
  Methods in java.net.http with parameters of type Authenticator
  Modifier and Type
  Method
  Description
  `HttpClient.Builder`
  HttpClient.Builder.`authenticator(Authenticator authenticator)`
  Sets an authenticator to use for HTTP authentication.